Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.amf.ide
Class ExecuteParameterHeadlessHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteParameterHandler
                          org.eclipse.amp.escape.amf.ide.ExecuteParameterHeadlessHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteParamEMFOutputHandler

    public class ExecuteParameterHeadlessHandler

extends ExecuteParameterHandler

The Class ExecuteParameterHeadlessHandler.

Constructor Summary
`ExecuteParameterHeadlessHandler()` Instantiates a new execute parameter headless handler.

Method Summary

Methods inherited from class org.eclipse.amp.escape.amf.ide.ExecuteParameterHandler
`getInterpreter, getModel, setInterpreter`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteParameterHeadlessHandler

    public ExecuteParameterHeadlessHandler()

  Instantiates a new execute parameter headless handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD